do

local makeOurDate = function(dateString)
  local pattern = "(%d+)%-(%d+)%-(%d+)"
  local year, month, day = dateString:match(pattern)
  if month == "00" then
    return year
  elseif day == "00" then
    return month..'.'..year
  else
    return day..'.'..month..'.'..year
  end
end

local function get_plex(query)
  local token = cred_data.plex_token
  local baseurl = 'http://yagyuu.local:32400'
  local response_body = {}
  local request_constructor = {
      url = baseurl..'/search?query='..query..'&X-Plex-Token='..token,
      method = "GET",
      sink = ltn12.sink.table(response_body),
      headers = {
        Accept = "application/json"
      }
   }
local ok, response_code, response_headers, response_status_line = http.request(request_constructor)
local data = json:decode(table.concat(response_body))._children[1]

	local title = data.title
	
	if data.originalTitle then
	origtitle = '\nOriginal: '..data.originalTitle
	else
	origtitle = ''
	end
	
	if data.studio then
	studio = '\nStudio: '..data.studio
	else
	studio = ''
	end
	
	if data.originallyAvailableAt then
	date = '\nAusstrahlung: '..makeOurDate(data.originallyAvailableAt)
	else
	date = ''
	end
	
	if data.contentRating then
	fsk = '\nAltersfreigabe: '..data.contentRating
	else
	fsk = ''
	end
	
	if data.rating then
	rating = '\nBewertung: '..data.rating
	else
	rating = ''
	end
	
	local desc = '\n\nBeschreibung: '..data.summary
	local pic = baseurl..data.thumb

	local text = title..origtitle..studio..date..fsk..rating..desc..'\n'

    return text, pic
end

local function run(msg, matches)
  local query = matches[1]
  local query = string.gsub(query, ":", '%%3A' )
  local query = string.gsub(query, " ", '+' )
  local text, pic = get_plex(query)
  local receiver = get_receiver(msg)
  local file = download_to_file(pic)
    send_photo(receiver, file, ok_cb, false)
  return text
end

return {
  description = "", 
  usage = "",
  patterns = {"^/plex (.*)$"},
  run = run 
}

end